{% load static %}
<!DOCTYPE html>
<html lang="en">
  <head>
    <meta charset="UTF-8" />
    <meta http-equiv="X-UA-Compatible" content="IE=edge" />
    <link
      href="https://cdn.jsdelivr.net/npm/bootstrap@5.0.2/dist/css/bootstrap.min.css"
      rel="stylesheet"
      integrity="sha384-EVSTQN3/azprG1Anm3QDgpJLIm9Nao0Yz1ztcQTwFspd3yD65VohhpuuCOmLASjC"
      crossorigin="anonymous"
    />
    <meta name="viewport" content="width=device-width, initial-scale=1.0" />
    <title>Sign Up</title>
  </head>
  <body>
    {% for message in messages %}
    <div
      class="alert alert-{{ message.tags }} alert-dismissible fade show"
      role="alert"
    >
      <strong>Message:</strong> {{ message }}
      <button
        type="button"
        class="close"
        data-dismiss="alert"
        aria-label="Close"
      >
        <span aria-hidden="true">&times;</span>
      </button>
    </div>
    {% endfor %}
    <section class="" style="background-color: #9a661d">
      <div class="container py-5 h-100">
        <div class="row d-flex justify-content-center align-items-center h-100">
          <div class="col col-xl-10">
            <div class="card" style="border-radius: 1rem">
              <div class="row g-0">
                <div
                  class="col-md-6 col-lg-5 d-none d-md-block align-self-center"
                >
                  <img
                    src={% static 'images/logo.png' %}
                    alt="login form"
                    class="img-fluid mx-auto d-block"
                    style="border-radius: 1rem 0 0 1rem"
                  />
                </div>
                <div class="col-md-6 col-lg-7 d-flex align-items-center">
                  <div class="card-body p-4 p-lg-5 text-black">
                    <form method="post">
                      {% csrf_token %}
                      <div class="d-flex align-items-center mb-3 pb-1">
                        <i
                          class="fas fa-cubes fa-2x me-3"
                          style="color: #ff6219"
                        ></i>
                        <span class="h1 fw-bold mb-0">Hello</span>
                      </div>

                      <h5
                        class="fw-normal mb-3 pb-3"
                        style="letter-spacing: 1px"
                      >
                        Register into your account
                      </h5>
                      <div class="form-outline mb-4">
                        <label for="username">Username</label>
                        <input
                          type="text"
                          class="form-control"
                          id="username"
                          name="username"
                          placeholder="Create A Username (use only letters and numbers)"
                          required
                        />
                      </div>
                      <div class="form-outline mb-4">
                        <label for="fname">First Name</label>
                        <input
                          type="text"
                          class="form-control"
                          id="fname"
                          name="fname"
                          placeholder="Enter Your First Name"
                          required
                        />
                      </div>
                      <div class="form-outline mb-4">
                        <label for="lname">Last Name</label>
                        <input
                          type="text"
                          class="form-control"
                          id="lname"
                          name="lname"
                          placeholder="Enter Your Last Name"
                          required
                        />
                      </div>
                      <div class="form-outline mb-4">
                        <label for="email">Email</label>
                        <input
                          type="email"
                          class="form-control"
                          id="email"
                          name="email"
                          placeholder="Enter Your Email Address"
                          required
                        />
                      </div>
                      <div class="form-outline mb-4">
                        <label for="pass1">Password</label>
                        <input
                          type="password"
                          class="form-control"
                          id="pass1"
                          name="pass1"
                          placeholder="Create Your Password"
                          required
                        />
                      </div>
                      <div class="form-outline mb-4">
                        <label for="pass2">Confirm Password</label>
                        <input
                          type="password"
                          class="form-control"
                          id="pass2"
                          name="pass2"
                          placeholder="Confirm Your Password"
                          required
                        />
                      </div>
                      <div class="pt-1 mb-4">
                        <button
                          class="btn btn-dark btn-lg btn-block"
                          type="submit"
                        >
                          Register
                        </button>
                      </div>
                    </form>
                  </div>
                </div>
              </div>
            </div>
          </div>
        </div>
      </div>
    </section>
  </body>
</html>
